package com.gtiit.shr.entity.enums;

public enum TaskNameEnum {
    ATTENDANCE("考勤同步", "0"),
    OADEPT("OA部门同步", "1"),
    OAPOST("OA岗位同步", "2"),
    OASTAFF("OA员工同步", "3"),
    ADUSER("AD用户同步", "4"),
    LPERSON("备份员工信息", "5"),
    LPERSONHIS("备份员工历史", "6"),
    LDEPT("备份部门信息", "7"),
    LJOB("备份职务信息", "8"),
    LPOSOTION("备份职位信息", "9");

    private final String name;
    private final String value;

    private TaskNameEnum(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return this.name;
    }

    public String getValue() {
        return this.value;
    }

    public String toString() {
        return this.name + ":" + this.value;
    }

    public static TaskNameEnum fromVal(String val) {
        TaskNameEnum[] var1 = values();
        int var2 = var1.length;

        for(int var3 = 0; var3 < var2; ++var3) {
            TaskNameEnum status = var1[var3];
            if (val.equals(status.getValue())) {
                return status;
            }
        }

        return ATTENDANCE;
    }
}
